import 'dart:async';

import 'package:flutter/services.dart';
import 'package:meta/meta.dart';

class HlsPlayer {
  static const MethodChannel _channel = const MethodChannel('hls_player');

  static Future<String> initialize({@Required('url must') String url}) async {
    const uRL_VIDEO =
        "http://200.23.206.107:18080/canales/miscelaneos/docubox/playlist.m3u8";
    const uRL_VIDEO2 =
        "http://181.65.250.202:1935/cristianos/bethel/playlist.m3u8";
    const uRL_VIDEO3 =
        r"https://181.65.250.202/33h_x86_64_$d28b8ab7c54479c4a5c4/canales/nacionales/latele/playlist.m3u8";

    final arreglo = [uRL_VIDEO, uRL_VIDEO2, uRL_VIDEO3];
    final String version = await _channel.invokeMethod(
      'initialize',
      <String, dynamic>{
        'canales': arreglo,
      },
    );
    return version;
  }
}
